Bug 1494852 - SELinux is preventing php-fpm from 'map' accesses on the file /home/mikhail/www/ex1/classes/log.php.
Summary: SELinux is preventing php-fpm from 'map' accesses on the file /home/mikhail/w...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6c654204ef1b6f1cdeb898ec0d6...
Keywords:
: 1502283 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-23 15:34 UTC by Mikhail
Modified: 2019-05-29 00:00 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-29 00:00:14 UTC


Attachments (Terms of Use)

Description Mikhail 2017-09-23 15:34:48 UTC
Description of problem:
SELinux is preventing php-fpm from 'map' accesses on the file /home/mikhail/www/ex1/classes/log.php.

*****  Plugin catchall (100. confidence) suggests   **************************

If if you believe that php-fpm should be allowed map access on the log.php file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'php-fpm' --raw | audit2allow -M my-phpfpm
# semodule -X 300 -i my-phpfpm.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                unconfined_u:object_r:httpd_user_content_t:s0
Target Objects                /home/mikhail/www/ex1/classes/log.php [ file ]
Source                        php-fpm
Source Path                   php-fpm
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-286.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.14.0-0.rc1.git3.1.fc28.x86_64 #1
                              SMP Thu Sep 21 15:10:18 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-09-23 20:33:36 +05
Last Seen                     2017-09-23 20:33:36 +05
Local ID                      4c93b7f7-cfe0-4318-835a-cd051aa9cb48

Raw Audit Messages
type=AVC msg=audit(1506180816.700:621): avc:  denied  { map } for  pid=12546 comm="php-fpm" path="/home/mikhail/www/ex1/classes/log.php" dev="sdb" ino=6599313298 scontext=system_u:system_r:httpd_t:s0 tcontext=unconfined_u:object_r:httpd_user_content_t:s0 tclass=file permissive=1


Hash: php-fpm,httpd_t,httpd_user_content_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-286.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.2
hashmarkername: setroubleshoot
kernel:         4.14.0-0.rc1.git3.1.fc28.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2017-10-17 10:30:48 UTC
*** Bug 1502283 has been marked as a duplicate of this bug. ***

Comment 2 Fedora End Of Life 2018-02-20 15:26:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Ben Cotton 2019-05-02 19:35:45 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-29 00:00:14 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.